Subject: RE: [manet] QoS on ad-hoc networks-security problem

From: "Fleischman, Eric" <[email-masked]>
Date: Mon, 27 Jan 2003 09:36:33 -0800

The distinction between edge, border and core routers is difficult to maintain within many MANET networks (at least in the subset I have been considering) because the node's role varies as a function of the current topology.

-----Original Message-----
From: Bin Lu [mailto:[email-masked]]
Sent: Thursday, January 23, 2003 3:37 PM
To: [email-masked]
Subject: RE: [manet] QoS on ad-hoc networks-security problem

I know "security" problem is not a consideration when designing a QoS
model, but probably because my interest is security, I can't help thinking
about it when looking at QoS architectures. 

In stateless models, once the packets are differentiated by the classifier
residing at border hosts, the intermediate nodes don't keep per-flow
information and therefore don't have any control over the admission. 
The intermediate nodes roughly just forward it according to the service
levels marked by the border hosts. But the problem is, what if a selfish,
greedy or malicious node who cooperates with the classifier node steals
the services? Or the classifier mismarks the packets? It is easy
because in some models (such as FQMM) the source node even classify the
packets by itself. The intermediate nodes can't do flow admissions and
therefore won't be able to detect any intrusions.

It is different in stateful QoS models. Since the intermediate nodes still
keep the per-flow information, they can check or perform admission
control.

Is there any solution for this problem in stateless models, or is there
any existing technique that can help solve the problem?

Any hint will help. Thanks in advance!

Bin 

On Thu, 23 Jan 2003, Andrew T. Campbell wrote:

> 
> Hello John and Carlos:
> 
> We looked at both stateful and
> (INSIGNIA http://comet.columbia.edu/insignia/
> stateless (SWAN http://comet.columbia.edu/swan/)
> approaches to MANET-QOS. There are papers
> and code there.
> 
> There are various tradeoffs to consider
> but I now feel that the solution space
> is more likely to be dominated by
> stateless solutions (SWAN is one) because
> they are less complex to implement and better suited
> to cope with mobility.
> 
> I'm sure there are a number of interesting
> solutions that lie between these stateful and stateless
> approaches. I do not think RSVP in a MANET is a
> good idea BTW.
> 
> IDs for our work:
> 
> INSIGNIA:
> 
> http://www.comet.columbia.edu/insignia/draft-ietf-manet-insignia-01.txt
> 
> 
> SWAN:
> 
> http://comet.columbia.edu/swan/draft-ahn-swan-manet-00.txt
> 
> QOS has never really been on the radar screen for the WG
> but maybe a good scope item for the new IRTF MANET initiative.
> 
> Its still early days for this topic I suspect.
> 
> ---
> Andrew
> http://comet.columbia.edu/~campbell
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On Behalf Of
> > John Tapsell
> > Sent: Thursday, January 23, 2003 12:29 PM
> > To: Carlos García
> > Cc: [email-masked]
> > Subject: Re: [manet] QoS on ad-hoc networks
> >
> >
> > Disclaimer:  I know nothing.  My knowledge is incomplete and
> > ba and you
> > shouldn't trust it at all.
> >
> > I had a look at this, and had a quite few problems trying to
> > set up such a
> > network.  Basically what I managed to learn was:
> >   * The idea has been around longer than I've been alive.
> >   * Hardly anyone seems to be working on it.
> >   * RSVP was played about with a lot, but died on adhoc's
> > because it is
> > trying to enforce stateful connections on a stateless network.
> >   * You need to have a very clear idea of what properties
> > your network has.
> > How much everything moves about, whether there are groupings,
> > whether there
> > are fixed points, etc.
> >   * If things are going to be moving about, then the QoS is
> > basically doomed
> > :)   So switch your focus on looking whether best-effort is
> > good enough.
> >   * Implementations of various QoS systems for linux are in a
> > bad state.  An
> > implementation of dRSVP that I tried to set up had bugs that
> > the author was
> > still trying to fix.  ( I found that out _after_ spending
> > ages trying to find
> > out what was wrong).  I did manage to get another
> > implementation of dRSVP
> > working tho.  Although this was through a lot of sweat and
> > blood - mostly due
> > to my ignorance in this area.  I still don't really get the
> > whole class based
> > queueing system.
> >   * If you want to study QoS, make sure you study and
> > understand routing on
> > adhocs first.
> >   * It seems to me, in my very humble opinion, that there
> > isn't likely to be a
> > 'wonder' protocol that works on any network, but rather you
> > need to evaluate
> > the network closely and see what fits best.
> >
> > Take what I've said with a pinch of salt, but I hope I can
> > help in some small
> > way.
> >
> > JohnFlux
> >
> > On Thursday 23 January 2003 3:35 pm, Carlos García wrote:
> > > Hi everybody,
> > >
> > > I am very interesting in the support of QoS on adhoc networks.
> > >
> > > I will be very pleased if someone could help me finding
> > papers or proyects
> > > related to this subject.
> > >
> > > Thank you very much,
> > >  Carlos García
> > >
> > > _______________________________________________
> > > manet mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/manet
> >
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet